Subject: Re: Question for canutils

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 27 Apr 2011 15:50:38 +0200

On 04/27/2011 10:36 AM, Tomoya MORINAGA wrote:
> I have 2 questions for canutils.
> 
> 1) Build issue
> I downloaded the latest canutils and libsocketcan.
>    - canutils-4.0.6
>    - libsocketcan-0.0.8
> 
> Firstly, I installed libsocketcan-0.0.8

Into which location?

Please send me the output of:

ls -l /usr/local/lib
ls -l /usr/local/lib/pkgconfig

> Secondly, I tried to install canutils-4.0.6.
> But it failed like below.
> 
> [root@localhost canutils-4.0.6]# ./configure
> ...snip...
> checking whether lstat correctly handles trailing slash... yes
> checking whether stat accepts an empty string... no
> checking for socket... yes
> checking for strchr... yes
> checking for strtoul... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for libsocketcan... no
> configure: error: *** libsocketcan version above 0.0.8 not found on your system
> [root@localhost canutils-4.0.6]# 
> 
> Do you have any information about the fail?

> BTW, Using canutils-3.0.2, I could confirm build becomes success.

3.x doesn't work with the mainline configuration interface.

> 2) How to use
> Executing candump like following, I see the following message.(Of course, pch_can have already installed)
> [root@localhost morinaga]# candump can0
> interface = can0, family = 29, type = 3, proto = 1
> read: Network is down
> [root@localhost morinaga]#
> 
> Would you tell me how to active can0 interface.

First build the canutils, then configure the bitrate, e.g. 250 kbit/s:
    $ canconfig can0 bitrate 250000
    $ ifconfig can0 up

regards, Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |

_______________________________________________
Socketcan-core mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/socketcan-core